langcode: en
status: true
dependencies:
  config:
    - core.entity_view_mode.node.cern_card
    - core.entity_view_mode.node.teaser
    - field.storage.node.field_p_faq_display_body
    - node.type.faq_page
    - taxonomy.vocabulary.cern_audience
    - taxonomy.vocabulary.cern_topics
  module:
    - ds
    - node
    - smart_trim
    - taxonomy
    - user
id: faq
label: FAQ
module: views
description: ""
tag: ""
base_table: node_field_data
base_field: nid
core_version_requirement: ^9 || ^10
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: perm
        options:
          perm: "access content"
      cache:
        type: tag
        options: {}
      query:
        type: views_query
        options:
          disable_sql_rewrite: false
          distinct: false
          replica: false
          query_comment: ""
          query_tags: {}
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: "Sort by"
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      pager:
        type: some
        options:
          items_per_page: 3
          offset: 0
      style:
        type: default
      row:
        type: "ds_entity:node"
        options:
          relationship: none
          view_mode: teaser
          alternating_fieldset:
            alternating: false
            allpages: false
            item_0: teaser
            item_1: teaser
            item_2: teaser
          grouping_fieldset:
            group: false
            group_field: views|random
            group_field_function: ""
          advanced_fieldset:
            advanced: false
      fields:
        title:
          id: title
          table: node_field_data
          field: title
          settings:
            link_to_entity: true
          plugin_id: field
          relationship: none
          group_type: group
          admin_label: ""
          label: ""
          exclude: false
          alter:
            alter_text: false
            text: ""
            make_link: false
            path: ""
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ""
            rel: ""
            link_class: ""
            prefix: ""
            suffix: ""
            target: ""
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ""
            more_link_path: ""
            strip_tags: false
            trim: false
            preserve_tags: ""
            html: false
          element_type: ""
          element_class: ""
          element_label_type: ""
          element_label_class: ""
          element_label_colon: true
          element_wrapper_type: ""
          element_wrapper_class: ""
          element_default_classes: true
          empty: ""
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          group_column: value
          group_columns: {}
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ", "
          field_api_classes: false
      filters:
        status:
          value: "1"
          table: node_field_data
          field: status
          plugin_id: boolean
          entity_type: node
          entity_field: status
          id: status
          expose:
            operator: ""
          group: 1
        type:
          id: type
          table: node_field_data
          field: type
          relationship: none
          group_type: group
          admin_label: ""
          operator: in
          value:
            faq_page: faq_page
          group: 1
          exposed: false
          expose:
            operator_id: ""
            label: ""
            description: ""
            use_operator: false
            operator: ""
            identifier: ""
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ""
            description: ""
            identifier: ""
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {}
            group_items: {}
          entity_type: node
          entity_field: type
          plugin_id: bundle
        langcode:
          id: langcode
          table: node_field_data
          field: langcode
          relationship: none
          group_type: group
          admin_label: ""
          operator: in
          value:
            "***LANGUAGE_language_interface***": "***LANGUAGE_language_interface***"
          group: 1
          exposed: false
          expose:
            operator_id: ""
            label: ""
            description: ""
            use_operator: false
            operator: ""
            identifier: ""
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ""
            description: ""
            identifier: ""
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {}
            group_items: {}
          entity_type: node
          entity_field: langcode
          plugin_id: language
      sorts:
        random:
          id: random
          table: views
          field: random
          relationship: none
          group_type: group
          admin_label: ""
          order: ASC
          exposed: false
          expose:
            label: ""
          plugin_id: random
      title: "More FAQ"
      header:
        area:
          id: area
          table: views
          field: area
          relationship: none
          group_type: group
          admin_label: ""
          empty: false
          tokenize: false
          content:
            value: "More FAQ's"
            format: basic_html
          plugin_id: text
      footer:
        area:
          id: area
          table: views
          field: area
          relationship: none
          group_type: group
          admin_label: ""
          empty: false
          tokenize: false
          content:
            value: '<a href="/what-we-do/faqs"> VIEW ALL FAQ''s </a>'
            format: full_html
          plugin_id: text
      empty: {}
      relationships: {}
      arguments:
        nid:
          id: nid
          table: node_field_data
          field: nid
          relationship: none
          group_type: group
          admin_label: ""
          default_action: default
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: false
          title: ""
          default_argument_type: node
          default_argument_options: {}
          default_argument_skip_url: false
          summary_options:
            base_path: ""
            count: true
            items_per_page: 25
            override: false
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: "not found"
          validate_options: {}
          break_phrase: false
          not: true
          entity_type: node
          entity_field: nid
          plugin_id: node_nid
      display_extenders: {}
    cache_metadata:
      max-age: 0
      contexts:
        - "languages:language_content"
        - "languages:language_interface"
        - url
        - "user.node_grants:view"
        - user.permissions
      tags: {}
  faq_page:
    display_plugin: page
    id: faq_page
    display_title: "FAQ Page"
    position: 2
    display_options:
      display_extenders: {}
      display_description: ""
      title: FAQ´s
      defaults:
        title: false
        arguments: false
        pager: false
        style: false
        row: false
        header: false
        footer: false
        filters: false
        filter_groups: false
        fields: false
      path: resources/faqs
      arguments: {}
      pager:
        type: full
        options:
          items_per_page: 8
          offset: 0
          id: 0
          total_pages: null
          tags:
            previous: ‹
            next: ›
            first: "« First"
            last: "Last »"
          expose:
            items_per_page: false
            items_per_page_label: "Items per page"
            items_per_page_options: "5, 10, 25, 50"
            items_per_page_options_all: false
            items_per_page_options_all_label: "- All -"
            offset: false
            offset_label: Offset
          quantity: 5
      style:
        type: default
        options: {}
      row:
        type: fields
        options:
          default_field_elements: true
          inline: {}
          separator: ""
          hide_empty: false
      header:
        area:
          id: area
          table: views
          field: area
          relationship: none
          group_type: group
          admin_label: ""
          empty: false
          tokenize: false
          content:
            value: "FILTER BY:"
            format: basic_html
          plugin_id: text
      footer: {}
      filters:
        status:
          value: "1"
          table: node_field_data
          field: status
          plugin_id: boolean
          entity_type: node
          entity_field: status
          id: status
          expose:
            operator: ""
          group: 1
        type:
          id: type
          table: node_field_data
          field: type
          relationship: none
          group_type: group
          admin_label: ""
          operator: in
          value:
            faq_page: faq_page
          group: 1
          exposed: false
          expose:
            operator_id: ""
            label: ""
            description: ""
            use_operator: false
            operator: ""
            identifier: ""
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ""
            description: ""
            identifier: ""
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {}
            group_items: {}
          entity_type: node
          entity_field: type
          plugin_id: bundle
        langcode:
          id: langcode
          table: node_field_data
          field: langcode
          relationship: none
          group_type: group
          admin_label: ""
          operator: in
          value:
            "***LANGUAGE_language_interface***": "***LANGUAGE_language_interface***"
          group: 1
          exposed: false
          expose:
            operator_id: ""
            label: ""
            description: ""
            use_operator: false
            operator: ""
            identifier: ""
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ""
            description: ""
            identifier: ""
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {}
            group_items: {}
          entity_type: node
          entity_field: langcode
          plugin_id: language
        combine:
          id: combine
          table: views
          field: combine
          relationship: none
          group_type: group
          admin_label: ""
          operator: word
          value: ""
          group: 1
          exposed: true
          expose:
            operator_id: combine_op
            label: "Search FAQs"
            description: "Search FAQs"
            use_operator: false
            operator: combine_op
            identifier: text
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: "0"
              administrator: "0"
          is_grouped: false
          group_info:
            label: ""
            description: ""
            identifier: ""
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {}
            group_items: {}
          fields:
            title: title
            field_p_faq_display_body: field_p_faq_display_body
          plugin_id: combine
        field_p_faq_display_topic_target_id:
          id: field_p_faq_display_topic_target_id
          table: node__field_p_faq_display_topic
          field: field_p_faq_display_topic_target_id
          relationship: none
          group_type: group
          admin_label: ""
          operator: or
          value: {}
          group: 1
          exposed: true
          expose:
            operator_id: field_p_faq_display_topic_target_id_op
            label: "By Topic"
            description: ""
            use_operator: false
            operator: field_p_faq_display_topic_target_id_op
            identifier: field_p_faq_display_topic_target_id
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: "0"
              administrator: "0"
            reduce: false
          is_grouped: false
          group_info:
            label: ""
            description: ""
            identifier: ""
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {}
            group_items: {}
          reduce_duplicates: false
          type: select
          limit: true
          vid: cern_topics
          hierarchy: false
          error_message: true
          plugin_id: taxonomy_index_tid
        field_p_faq_display_audience_target_id:
          id: field_p_faq_display_audience_target_id
          table: node__field_p_faq_display_audience
          field: field_p_faq_display_audience_target_id
          relationship: none
          group_type: group
          admin_label: ""
          operator: or
          value: {}
          group: 1
          exposed: true
          expose:
            operator_id: field_p_faq_display_audience_target_id_op
            label: "By Audience"
            description: ""
            use_operator: false
            operator: field_p_faq_display_audience_target_id_op
            identifier: field_p_faq_display_audience_target_id
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
              anonymous: "0"
              administrator: "0"
            reduce: false
          is_grouped: false
          group_info:
            label: ""
            description: ""
            identifier: ""
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {}
            group_items: {}
          reduce_duplicates: false
          type: select
          limit: true
          vid: cern_audience
          hierarchy: false
          error_message: true
          plugin_id: taxonomy_index_tid
      filter_groups:
        operator: AND
        groups:
          1: AND
      fields:
        title:
          id: title
          table: node_field_data
          field: title
          relationship: none
          group_type: group
          admin_label: ""
          label: ""
          exclude: true
          alter:
            alter_text: false
            text: ""
            make_link: false
            path: ""
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ""
            rel: ""
            link_class: ""
            prefix: ""
            suffix: ""
            target: ""
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ""
            more_link_path: ""
            strip_tags: false
            trim: false
            preserve_tags: ""
            html: false
          element_type: ""
          element_class: ""
          element_label_type: ""
          element_label_class: ""
          element_label_colon: false
          element_wrapper_type: ""
          element_wrapper_class: ""
          element_default_classes: true
          empty: ""
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: true
          group_column: value
          group_columns: {}
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ", "
          field_api_classes: false
          plugin_id: field
        field_p_faq_display_body:
          id: field_p_faq_display_body
          table: node__field_p_faq_display_body
          field: field_p_faq_display_body
          relationship: none
          group_type: group
          admin_label: ""
          label: ""
          exclude: true
          alter:
            alter_text: false
            text: ""
            make_link: false
            path: ""
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ""
            rel: ""
            link_class: ""
            prefix: ""
            suffix: ""
            target: ""
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ""
            more_link_path: ""
            strip_tags: false
            trim: false
            preserve_tags: ""
            html: false
          element_type: ""
          element_class: ""
          element_label_type: ""
          element_label_class: ""
          element_label_colon: false
          element_wrapper_type: ""
          element_wrapper_class: ""
          element_default_classes: true
          empty: ""
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: smart_trim
          settings:
            trim_length: 600
            trim_type: words
            trim_suffix: ""
            wrap_output: false
            wrap_class: trimmed
            more_link: false
            more_text: More
            more_class: more-link
            trim_options:
              text: true
              trim_zero: false
          group_column: value
          group_columns: {}
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ", "
          field_api_classes: false
          plugin_id: field
        rendered_entity:
          id: rendered_entity
          table: node
          field: rendered_entity
          relationship: none
          group_type: group
          admin_label: ""
          label: ""
          exclude: false
          alter:
            alter_text: false
            text: ""
            make_link: false
            path: ""
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ""
            rel: ""
            link_class: ""
            prefix: ""
            suffix: ""
            target: ""
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ""
            more_link_path: ""
            strip_tags: false
            trim: false
            preserve_tags: ""
            html: false
          element_type: ""
          element_class: ""
          element_label_type: ""
          element_label_class: ""
          element_label_colon: false
          element_wrapper_type: ""
          element_wrapper_class: ""
          element_default_classes: true
          empty: ""
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          view_mode: teaser
          entity_type: node
          plugin_id: rendered_entity
      rendering_language: "***LANGUAGE_language_interface***"
    cache_metadata:
      max-age: 0
      contexts:
        - "languages:language_interface"
        - url
        - url.query_args
        - user
        - "user.node_grants:view"
        - user.permissions
      tags:
        - "config:core.entity_view_display.node.article.default"
        - "config:core.entity_view_display.node.article.full"
        - "config:core.entity_view_display.node.article.rss"
        - "config:core.entity_view_display.node.article.teaser"
        - "config:core.entity_view_display.node.basic_page.cern_card"
        - "config:core.entity_view_display.node.basic_page.default"
        - "config:core.entity_view_display.node.basic_page.full"
        - "config:core.entity_view_display.node.basic_page.teaser"
        - "config:core.entity_view_display.node.custom_content_type.default"
        - "config:core.entity_view_display.node.custom_content_type.teaser"
        - "config:core.entity_view_display.node.event_page.cern_card"
        - "config:core.entity_view_display.node.event_page.cern_featured"
        - "config:core.entity_view_display.node.event_page.default"
        - "config:core.entity_view_display.node.event_page.full"
        - "config:core.entity_view_display.node.event_page.teaser"
        - "config:core.entity_view_display.node.faq_page.cern_card"
        - "config:core.entity_view_display.node.faq_page.default"
        - "config:core.entity_view_display.node.faq_page.full"
        - "config:core.entity_view_display.node.faq_page.teaser"
        - "config:core.entity_view_display.node.feature_story_page.cern_card"
        - "config:core.entity_view_display.node.feature_story_page.default"
        - "config:core.entity_view_display.node.feature_story_page.full"
        - "config:core.entity_view_display.node.feature_story_page.teaser"
        - "config:core.entity_view_display.node.indico_event.cern_card"
        - "config:core.entity_view_display.node.indico_event.cern_featured"
        - "config:core.entity_view_display.node.indico_event.default"
        - "config:core.entity_view_display.node.indico_event.full"
        - "config:core.entity_view_display.node.indico_event.teaser"
        - "config:core.entity_view_display.node.landing_page.cern_card"
        - "config:core.entity_view_display.node.landing_page.default"
        - "config:core.entity_view_display.node.landing_page.teaser"
        - "config:core.entity_view_display.node.news_page.cern_card"
        - "config:core.entity_view_display.node.news_page.cern_featured"
        - "config:core.entity_view_display.node.news_page.default"
        - "config:core.entity_view_display.node.news_page.full"
        - "config:core.entity_view_display.node.news_page.teaser"
        - "config:core.entity_view_display.node.resource_page.cern_card"
        - "config:core.entity_view_display.node.resource_page.default"
        - "config:core.entity_view_display.node.resource_page.full"
        - "config:core.entity_view_display.node.resource_page.teaser"
        - "config:core.entity_view_display.node.story_page.cern_card"
        - "config:core.entity_view_display.node.story_page.default"
        - "config:core.entity_view_display.node.story_page.teaser"
        - "config:core.entity_view_display.node.system_page.default"
        - "config:core.entity_view_display.node.system_page.full"
        - "config:core.entity_view_display.node.system_page.teaser"
        - "config:core.entity_view_display.node.webcast_event.cern_card"
        - "config:core.entity_view_display.node.webcast_event.cern_featured"
        - "config:core.entity_view_display.node.webcast_event.default"
        - "config:core.entity_view_display.node.webcast_event.full"
        - "config:core.entity_view_display.node.webcast_event.teaser"
        - "config:field.storage.node.field_p_faq_display_body"
  more_faq:
    display_plugin: block
    id: more_faq
    display_title: "More FAQ"
    position: 1
    display_options:
      display_extenders: {}
      display_description: ""
      block_description: "More FAQ"
      header:
        area:
          id: area
          table: views
          field: area
          relationship: none
          group_type: group
          admin_label: ""
          empty: false
          tokenize: false
          content:
            value: "<h3>More FAQs</h3>"
            format: basic_html
          plugin_id: text
      defaults:
        header: false
        style: false
        row: false
        title: false
        footer: false
      style:
        type: default
        options: {}
      row:
        type: "ds_entity:node"
        options:
          relationship: none
          view_mode: cern_card
          alternating_fieldset:
            alternating: false
            allpages: false
            item_0: teaser
            item_1: teaser
            item_2: teaser
          grouping_fieldset:
            group: false
            group_field: views|random
            group_field_function: ""
          advanced_fieldset:
            advanced: false
      title: ""
      footer:
        area:
          id: area
          table: views
          field: area
          relationship: none
          group_type: group
          admin_label: ""
          empty: false
          tokenize: false
          content:
            value: '<a href="/resources/faqs"> View all FAQ''s </a>'
            format: cern_full_html
          plugin_id: text
    cache_metadata:
      max-age: 0
      contexts:
        - "languages:language_content"
        - "languages:language_interface"
        - url
        - "user.node_grants:view"
        - user.permissions
      tags: {}
